Subject: Re: [PATCH net] ipv6: Fix addrconf_dst_alloc() failure check.

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Fri, 18 Jan 2013 23:38:39 +0900

Eric Dumazet wrote:
> On Fri, 2013-01-18 at 20:56 +0900, YOSHIFUJI Hideaki wrote:
>> The function returns NULL on error and it never return error code
>> embedded in pointer.
>>
> 
> Which functions returns NULL ?
> 
> addrconf_dst_alloc() returns ERR_PTR(-ENOMEM) in case of error in my net
> tree.
> 
> Also, please consider adding the bug origin in your changelogs.

Oh, right.  I probably looked into different dst_alloc variants
and was confused.  Please ignore.

--yoshfuji